=== doc/typst/CMakeLists.txt ===

#set(USETYPST_DEFAULT_ALL_TARGET ON)


configure_file(${CMAKE_UTILS_PATH}/user-manual-version.json.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/user-manual-version.json @ONLY)

message("\n${BoldGreen}Build typst documentation ${PROJECT_NAME}${ColourReset}\n")
include(${CMAKE_UTILS_PATH}/modules/UseTYPST.cmake)

add_typst_document(i2masschroq_user_manual main.typ)
add_typst_document(masschroq3_user_manual masschroq3/masschroq3.typ)

add_custom_target(typst_doc ALL DEPENDS i2masschroq_user_manual masschroq3_user_manual)
