=== debian/changelog ===
i2masschroq (1.3.3-1~trixie1) trixie; urgency=medium

  * Fix broken Windows11 support for TimsTOFpro data file

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 05 Dec 2025 10:56:32 +0100

i2masschroq (1.3.2-1~trixie2) trixie; urgency=medium

  * Unlock UNIMOD and USER defined OBO terms to use in xpip projects

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Dec 2025 12:12:27 +0100

i2masschroq (1.3.2-1~trixie1) trixie; urgency=medium

  * fix PSM CBOR sage reader problem
  * mzCBOR support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 02 Dec 2025 10:48:34 +0100

i2masschroq (1.3.1-1~trixie1) trixie; urgency=medium

  * New Sage reader usgin PSM CBOR
  * New Sage user interface
  * Fix istope deviation vizualisation for isotope error negative delta
  * Change Tukey in MCQR scripts (Thierry Balliau)
  * Install new bioconductor version for R 4.5
  * Typst documentation translation from docbook almost done
  * Qt6svg plugin dependency added

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Nov 2025 13:11:47 +0100

i2masschroq (1.3.0-3~trixie1) trixie; urgency=medium

  * Fix dependencies

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Oct 2025 10:38:20 +0200

i2masschroq (1.3.0-2~trixie1) trixie; urgency=medium

  * be sure to compile with newest libpwiz and libboost 1.88

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 08 Oct 2025 10:21:56 +0200

i2masschroq (1.3.0-1~trixie2) trixie; urgency=medium

  * be sure to compile with newest libpwiz and libboost

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 30 Sep 2025 16:57:15 +0200

i2masschroq (1.3.0-1~trixie1) trixie; urgency=medium

  * First package for Debian 13 Trixie
  * Move to the newly organized PAPPSOms++ 0.11 library
  * MassChroQ3 json export contains msrun list

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 22 Sep 2025 10:20:20 +0200

i2masschroq (1.2.9-3~bookworm1) bookworm; urgency=medium

  * add new R dependency : "zip"

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 12 Sep 2025 09:12:48 +0200

i2masschroq (1.2.9-2~bookworm1) bookworm; urgency=medium

  * add new R dependencies : "scales" and "tidyselect"

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 08 Sep 2025 10:29:59 +0200

i2masschroq (1.2.9-1~bookworm1) bookworm; urgency=medium

  * Choose "https://pbil.univ-lyon1.fr/CRAN/" for the default
  CRAN repository, to install MCQR dependencies

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 08 Sep 2025 09:39:40 +0200

i2masschroq (1.2.8-1~bookworm1) bookworm; urgency=medium

  * Check R package installation for MCQR updated

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 04 Sep 2025 11:59:08 +0200

i2masschroq (1.2.7-1~bookworm1) bookworm; urgency=medium

  * Set working directory for slurm jobs
  * Fix JSON alignment
  * PTM grouping in ODS export
  * Enable MBR and isotope ratio parameters in MassChroQ3 run dialog
  * Better Sage run dialog
  * PSM JSON export for Typst

 -- Olivier Langella <olivier.langella@u-psud.fr>  Thu, 04 Sep 2025 11:01:25 +0200

i2masschroq (1.2.6-1~bookworm1) bookworm; urgency=medium

  * Fix running masschroq3 in slurm

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 02 Jun 2025 13:41:30 +0200

i2masschroq (1.2.5-1~bookworm1) bookworm; urgency=medium

  * Experimental Sage run GUI

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 12 May 2025 13:17:27 +0200

i2masschroq (1.2.4-1~bookworm1) bookworm; urgency=medium

  * masschroq-export CLI fixed for alignment data
  * Full support for PSI ProForma v2 : UNIMOD, Nter and Cter modifications

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 05 May 2025 14:05:06 +0200

i2masschroq (1.2.3-1~bookworm1) bookworm; urgency=medium

  * XIC viewer is able to open any other MS run (mzML, TDF...)

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 18 Mar 2025 09:01:21 +0100

i2masschroq (1.2.2-1~bookworm1) bookworm; urgency=medium

  * MCQR 1.0.2

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 17 Mar 2025 13:21:21 +0100

i2masschroq (1.2.1-1~bookworm1) bookworm; urgency=medium

  * Fix regression using Evalue in FDR threshold

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 05 Mar 2025 09:35:30 +0100

i2masschroq (1.2.0-1~bookworm1) bookworm; urgency=medium

  * Switch to C++20
  * Complete integration of MassChroQ version 3 through PAPPSOms++ library

 -- Olivier Langella <olivier.langella@u-psud.fr>  Tue, 04 Mar 2025 10:55:41 +0100

i2masschroq (1.0.23-1~bookworm2) bookworm; urgency=medium

  * Support for Sage protein Qscore
  * Display protein Q-value in protein list
  * Filter results on protein Q-value

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 27 Jan 2025 11:27:01 +0100

i2masschroq (1.0.22-1~bookworm1) bookworm; urgency=medium

  * MCQR 1.0.1
  * Work in progress store Sage protein QValue
  * Export project name in project parameters
  * Display samle name instead of filenam in XIC view

 -- Olivier Langella <olivier.langella@u-psud.fr>  Fri, 24 Jan 2025 15:39:06 +0100

i2masschroq (1.0.21-1~bookworm1) bookworm; urgency=medium

  * Recognize mzIdentML file
  * Get the identification search engine name and version (needed by ProteoBench)
  * Solves an issue loading xpip file generated with PEAKS identification results

 -- Olivier Langella <olivier.langella@u-psud.fr>  Wed, 18 Dec 2024 15:49:16 +0100

i2masschroq (1.0.20-1~bookworm1) bookworm; urgency=medium

  * Solving issue with MassChroQ module + tandem results in mzid format

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 02 Dec 2024 16:21:22 +0100

i2masschroq (1.0.19-1~bookworm1) bookworm; urgency=medium

  * Fix for issue #37 : close MCQR windows
  * WIP : issue #36, work on multiple sample support in mzid
  * New msrunretention time API in PAPPSOms++
  * First Peaks Studio support
  * Better SAGE support

 -- Olivier Langella <olivier.langella@u-psud.fr>  Mon, 25 Nov 2024 15:01:07 +0100


