=== debian/watch ===
version=4

# The following page lists the releases
#
# https://forgemia.inra.fr/pappso/i2masschroq/-/tags
#
# And the actual href in the page is
#
# href="/pappso/i2masschroq/-/archive/0.4.26/i2masschroq-0.4.42.tar.gz"
#

https://forgemia.inra.fr/pappso/i2masschroq/-/tags \
  .*/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
